import PropTypes from 'prop-types';
import { noop } from 'lodash';

var BDesignTheme = function BDesignTheme(props) {
  var _props$theme = props.theme,
      theme = _props$theme === void 0 ? 'light' : _props$theme,
      _props$children = props.children,
      children = _props$children === void 0 ? noop : _props$children;
  return children(theme);
};

BDesignTheme.propTypes = {
  children: PropTypes.func.isRequired,
  theme: PropTypes.oneOf(['dark', 'light'])
};
export default BDesignTheme;